
function line(m, b, x) {
   return m*x + b
};

let y1 = line(3, 2, -1);
let y2 = line(3, 2, 0);
let y3 = line(3, 2, 1);
let y4 = line(3, 2, 2);
let y5 = line(3, 2, 3);
let y6 = line(3, 2, 4);

function lineFactory(m, b) {
  return x => m*x + b  // return a lambda expression
};

let f = lineFactory(3, 2);

let z1 = f(-1);
let z2 = f(0);
let z3 = f(1);
let z4 = f(2);
let z5 = f(3);
let z6 = f(4);

let g = lineFactory(-1, 4);

let w1 = g(-1);
let w2 = g(0);
let w3 = g(1);
